### Method

# EDataServer WebDAVSession getctag_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_webdav_session_getctag_sync (
      EWebDAVSession* webdav,
      const gchar* uri,
      gchar** out_ctag,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Issues a getctag property request for a collection identified by `uri`, or, in case it’s `NULL`, on the URI defined in associated `ESource`. The ctag is a collection tag, which changes whenever the collection changes (similar to etag). The getctag is an extension, thus the function can fail when the server doesn’t support it.

Free the returned `out_ctag` with g_free(), when no longer needed.

Available since: 3.26

#### Parameters

`uri`

  Type: `const gchar*`

  URI to issue the request for, or `NULL` to read from `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_ctag`

  Type: `gchar**`

  Return location for the ctag.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.